Bug 47029 - Unnecessary namespace declarations on EncryptedData children
Unnecessary namespace declarations on EncryptedData children
Status: RESOLVED FIXED
Product: Security - Now in JIRA
Classification: Unclassified
Component: Encryption
unspecified
PC Windows XP
: P2 normal
: ---
Assigned To: XML Security Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-04-14 03:33 UTC by coheigea
Modified: 2009-07-09 04:43 UTC (History)
0 users



Attachments
A patch for this issue (9.51 KB, patch)
2009-04-17 06:32 UTC, coheigea
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description coheigea 2009-04-14 03:33:31 UTC
The 1.4.2 release fixed bug 42597 - "Unnecessary namespace declarations on Signature children":

https://issues.apache.org/bugzilla/show_bug.cgi?id=42597

A similar problem exists for the EncryptedData XML generated by the XMLCipher class, where the xenc namespace is defined for all child elements, e.g.:

<xenc:EncryptedData Id=".." Type=".." xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
  <xenc:EncryptionMethod Algorithm=".." xmlns:xenc="http://www.w3.org/2001/04/xmlenc#"/>
  <xenc:CipherData xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">
    <xenc:CipherValue xmlns:xenc="http://www.w3.org/2001/04/xmlenc#">..
    </xenc:CipherValue>
  </xenc:CipherData>
</xenc:EncryptedData>

If there are no objections, I'll submit a patch in the next while to just define the xenc namespace on the parent element.
Comment 1 sean.mullan 2009-04-16 08:13:19 UTC
No objections. Please attach a patch to the bug report when it is ready. Thanks.
Comment 2 coheigea 2009-04-17 06:32:33 UTC
Created attachment 23504 [details]
A patch for this issue
Comment 3 coheigea 2009-07-09 04:43:27 UTC
Patch applied.

Colm.